Skip to main content
Recently Deleted/Recently Deleted

RetryManagedAgentTask

Request immediate rechecking of the current reconciling or unknown enable_capability task. Requires agent.config.write. Reuses the original task and queue job; does not resend configuration or create a validation window.

POST/api/v1/lifecycle/managed-agent/tasks/{id}/retry

Operation ID

RetryManagedAgentTask

Since

1.3.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • id
    StringRequired

    Unique identifier of the managed agent task

Body Fields

  • requestId
    String

    Request id for this resource

    Example: value

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • taskId
    String

    Task id for this resource

    Example: value

  • state
    String

    State for this resource

    Example: value

  • retryScheduled
    Boolean

    Whether the original validation task has been scheduled for an immediate recheck.

    Example: true